import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'

import {
	createSSRApp
} from 'vue'
import {
	setupPinia
} from "./store";

export function createApp() {
	const app = createSSRApp(App)
	app.use(uviewPlus)
	setupPinia(app)

	return {
		app,
	}
}